## osinfo-db 0.20170225

=== Makefile ===

VPATH = .

TODAY = $(shell date +"%Y%m%d")

OSINFO_DB_EXPORT = osinfo-db-export
OSINFO_DB_IMPORT = osinfo-db-import

DESTDIR = /
OSINFO_DB_TARGET = --user

INTLTOOL_MERGE = intltool-merge
INTLTOOL_EXTRACT = intltool-extract
INTLTOOL_UPDATE = intltool-update

GETTEXT_PACKAGE = osinfo-db

SED = sed

DATA_FILES_IN = $(wildcard $(VPATH)/data/*/*/*.xml.in) $(wildcard $(VPATH)/data/*/*/*/*.xml.in)
DATA_FILES = $(DATA_FILES_IN:$(VPATH)/%.in=%)

SCHEMA_FILES_IN = data/schema/osinfo.rng.in
SCHEMA_FILES = data/schema/osinfo.rng

ARCHIVE = osinfo-db-$(TODAY).tar.xz

ZANATA = zanata-cli

V = 0

V_I18N = $(V_I18N_$(V))
V_I18N_0 = @echo "  I18N     " $@;
V_I18N_1 =

V_GEN = $(V_GEN_$(V))
V_GEN_0 = @echo "  GEN      " $@;
V_GEN_1 =

V_EXP = $(V_EXP_$(V))
V_EXP_0 = @echo "  EXP      " $@;
V_EXP_1 =

INTLTOOL_MERGE_OPTS = $(INTLTOOL_MERGE_OPTS_$(V))
INTLTOOL_MERGE_OPTS_0 = -q
INTLTOOL_MERGE_OPTS_1 =


all: $(ARCHIVE) osinfo-db.spec mingw-osinfo-db.spec

install: $(ARCHIVE)
	$(OSINFO_DB_IMPORT) --root $(DESTDIR) $(OSINFO_DB_TARGET) $(ARCHIVE)

%.spec: %.spec.in Makefile
	$(V_GEN) $(SED) -e "s/@VERSION@/$(TODAY)/" < $< > $@

rpm: osinfo-db.spec $(ARCHIVE)
	rpmbuild --define "_sourcedir `pwd`" -ba osinfo-db.spec

mingwrpm:  mingw-osinfo-db.spec $(ARCHIVE)
	rpmbuild --define "_sourcedir `pwd`" -ba mingw-osinfo-db.spec


%.xml: %.xml.in Makefile
	@mkdir -p `dirname $@` po
	$(V_I18N) LC_ALL=C $(INTLTOOL_MERGE) $(INTLTOOL_MERGE_OPTS) -x -u -c po/.intltool-merge-cache $(VPATH)/po $< $@.tmp \
	    || { rm $@.tmp && exit 1; }
	@mv $@.tmp $@

%.rng: %.rng.in Makefile
	@mkdir -p `dirname $@` po
	$(V_GEN) $(SED) -e "s/@VERSION@/$(TODAY)/" < $< > $@

$(ARCHIVE): $(DATA_FILES) $(SCHEMA_FILES)
	$(V_EXP) $(OSINFO_DB_EXPORT) --license $(VPATH)/COPYING --version "$(TODAY)" --dir data $(ARCHIVE)

clean:
	rm -f osinfo-db-*.tar.xz
	rm -f $(DATA_FILES) $(SCHEMA_FILES) po/POTFILES.in po/osinfo-db.pot

po/POTFILES.in:
	$(V_GEN) find data -name *.xml.in > $@

po/osinfo-db.pot: po/POTFILES.in $(DATA_FILES_IN)
	$(V_GEN) cd po && $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

po-push: po/osinfo-db.pot
	$(ZANATA) push

po-pull: po/osinfo-db.pot
	$(ZANATA) pull

update-po:
	cd po && \
        for file in *.po; do \
	  lang=`echo $$file | $(SED) -e 's/.po//'`; \
          echo "$$lang:"; \
          result="`$(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist -o $$lang.new.po $$lang`"; \
          if $$result; then \
            if cmp $$lang.po $$lang.new.po >/dev/null 2>&1; then \
              rm -f $$lang.new.po; \
            else \
              if mv -f $$lang.new.po $$lang.po; then \
                :; \
              else \
                echo "msgmerge for $$lang.po failed: cannot move $$lang.new.po to $$lang.po" 1>&2; \
                rm -f $$lang.new.po; \
                exit 1; \
              fi; \
            fi; \
          else \
            echo "msgmerge for $$lang.gmo failed!"; \
            rm -f $$lang.new.po; \
          fi; \
        done

=== debian/changelog ===
osinfo-db (0.20170225-1) unstable; urgency=medium

  * [b3f7c2d] New upstream version 0.20170225
    with support for recent linux distributions and windows
    (Closes: #856666)
  * [b8fecd0] Add autopkgtest
  * [0520bd5] Debian Jessie: Update DVD links
  * [efcfeb9] Add Debian Stretch RCs (Closes: #856667)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 Mar 2017 19:51:53 +0100

osinfo-db (0.20160728+git20161020-1) unstable; urgency=medium

  * Initial release (Closes: #840386)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Oct 2016 20:24:26 +0200

=== debian/control ===
Source: osinfo-db
Section: libs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper (>= 10),
 intltool,
 osinfo-db-tools,
Standards-Version: 3.9.8
Homepage: https://libosinfo.org/
Vcs-Git: https://anonscm.debian.org/pkg-libvirt/osinfo-db.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/osinfo-db.git

Package: osinfo-db
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Operating system database files
 libosinfo is a GObject based library API for managing information about
 operating systems, hypervisors and the (virtual) hardware devices they
 can support. It provides APIs to match/identify optimal devices for deploying
 an operating system on a hypervisor.
 .
 This package contains the actual database files.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	mkdir build
	cd build && ln -s ../Makefile .
	make -C build VPATH=.. ARCHIVE=osinfo-db.tar.xz
	
override_dh_auto_clean:
	rm -rf build
	dh_auto_clean

override_dh_auto_install:
	osinfo-db-import \
	    --root debian/tmp/ \
	    --dir /usr/share/osinfo \
	    build/osinfo-db.tar.xz

=== debian/tests/control ===
Test-Command: cd debian/tests && nosetests3 -vv
Depends: @, gir1.2-libosinfo-1.0 (>= 1.0.0), python3, python3-nose, python3-gi
Restrictions: allow-stderr

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
  https://fedorahosted.org/releases/l/i/libosinfo/osinfo-db(\d.*).tar.gz

## osinfo-db 0.20170811

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 
 VPATH = .
 
-TODAY = $(shell date +"%Y%m%d")
+ifdef SOURCE_DATE_EPOCH
+    TODAY = $(shell date --utc --date="@$(SOURCE_DATE_EPOCH)" +"%Y%m%d")
+else
+    TODAY = $(shell date +"%Y%m%d")
+endif
 
 OSINFO_DB_EXPORT = osinfo-db-export
 OSINFO_DB_IMPORT = osinfo-db-import
@@ -26,6 +30,8 @@
 ARCHIVE = osinfo-db-$(TODAY).tar.xz
 
 ZANATA = zanata-cli
+
+XMLLINT = xmllint
 
 V = 0
 
@@ -79,7 +85,7 @@
 	rm -f $(DATA_FILES) $(SCHEMA_FILES) po/POTFILES.in po/osinfo-db.pot
 
 po/POTFILES.in:
-	$(V_GEN) find data -name *.xml.in > $@
+	$(V_GEN) find data -name *.xml.in | LC_ALL=C sort > $@
 
 po/osinfo-db.pot: po/POTFILES.in $(DATA_FILES_IN)
 	$(V_GEN) cd po && $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot
@@ -114,3 +120,10 @@
           fi; \
         done
 
+check: $(DATA_FILES) $(SCHEMA_FILES)
+	for xml in `find data -name '*.xml' | sort`; do \
+	  if ! $(XMLLINT) --relaxng data/schema/osinfo.rng --noout $$xml; then \
+	    exit 1; \
+	  fi; \
+	done
+

=== debian/changelog ===
osinfo-db (0.20170811-1) unstable; urgency=medium

  * [596e960] Fix vcs git url
  * [226d475] New upstream version 0.20170811
  * [1cfe3ae] Drop debian-switch-to-archive-URLs-for-stretch.patch applied
    upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Aug 2017 16:48:31 -0300

osinfo-db (0.20170707-2) unstable; urgency=medium

  * [c821b78] debian: switch to archive URLs for stretch

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Jul 2017 14:02:34 +0200

osinfo-db (0.20170707-1) unstable; urgency=medium

  * [1428d41] New upstream version 0.20170707
  * [1f875ee] Run make check during
  * [a906220] Drop all patches - all appplied upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 07 Jul 2017 18:09:19 +0200

osinfo-db (0.20170225-3) unstable; urgency=medium

  * [c058963] Update Jessie DVD links.
  * [745d2f5] Add Debian Stretch (Closes: #864923)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 19 Jun 2017 19:34:55 +0200

osinfo-db (0.20170225-2) unstable; urgency=medium

  * [7016785] Fix Stretch URL for i386.
    Thanks to Laurent Bigonville
  * [6c535bc] Make build reproducible.
    Thanks to Chris Lamb (Closes: #860848)
  * [f34951d] Switch to Stretch Installer RC3

 -- Guido Günther <agx@sigxcpu.org>  Sat, 22 Apr 2017 11:42:55 +0200

## osinfo-db 0.20180226

=== debian/changelog ===
osinfo-db (0.20180226-1) unstable; urgency=medium

  * Test that we can generate install scripts
  * New upstream git snapshot (Closes: #884521)
  * Update debian/watch URL.  We're using git snapshots anyway but it's better
    to have this correct. (Closes: #884520)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Feb 2018 10:21:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends:
  debhelper (>= 10),
  intltool,
+ libxml2-utils,
  osinfo-db-tools,
 Standards-Version: 3.9.8
 Homepage: https://libosinfo.org/
-Vcs-Git: https://anonscm.debian.org/pkg-libvirt/osinfo-db.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-libvirt/osinfo-db.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/osinfo-db.git
 
 Package: osinfo-db

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,9 @@
 	rm -rf build
 	dh_auto_clean
 
+override_dh_auto_test:
+	make -C build check
+
 override_dh_auto_install:
 	osinfo-db-import \
 	    --root debian/tmp/ \

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
  https://releases.pagure.org/libosinfo/osinfo-db-(\d.*).tar.xz

## osinfo-db 0.20180929

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 ARCHIVE = osinfo-db-$(TODAY).tar.xz
 
-ZANATA = zanata-cli
+ZANATA = zanata
 
 XMLLINT = xmllint
 
@@ -91,10 +91,10 @@
 	$(V_GEN) cd po && $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot
 
 po-push: po/osinfo-db.pot
-	$(ZANATA) push
+	(cd po && $(ZANATA) push --push-type source)
 
 po-pull: po/osinfo-db.pot
-	$(ZANATA) pull
+	(cd po && $(ZANATA) pull)
 
 update-po:
 	cd po && \

=== debian/changelog ===
osinfo-db (0.20180929-1ubuntu0.1) bionic; urgency=medium

  * SRU the more recent version to Bionic to have the newer
    release definitions available, most importantly Ubuntu
    18.04 itself as users would expect that (LP: #1770206).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 16 Nov 2018 07:24:05 +0100

osinfo-db (0.20180929-1ubuntu1) cosmic; urgency=medium

  * debian/patches/git_dccf78b83578d368fd0241cbcfc8f5c2742012fb.patch:
    (cherry-picked upstream)
    ubuntu: Bump minimal ram requirement to 2GiB. (LP: #1796037)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Oct 2018 10:08:06 +0200

osinfo-db (0.20180929-1) unstable; urgency=medium

  * [478429c] New upstream version 0.20180929
    (Closes: #908973)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Sep 2018 10:19:59 +0200

osinfo-db (0.20180917-1) unstable; urgency=medium

  * [13ecc03] New upstream version 0.20180917
    (Closes: #908983)
  * [4f9f362] d/control: Bump standards version to 4.2.1
  * [862e376] d/rules: Honor DEB_BUILD_OPTIONS=nocheck
  * [bf69c25] d/copyright: Avoid duplicate license section
  * [63f7c72] Switch to debhelper compat level 11
  * [c0f0f40] Don't install extra license file to /u/s/osinfo

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Sep 2018 09:52:18 +0200

osinfo-db (0.20180628-1) unstable; urgency=medium

  [ Guido Günther ]
  * [25145bf] Point VCS-* URLs to salsa
  * [1bcb0b3] gbp: use commit hashes in changelog
  * [fd17d3c] New upstream version 0.20180628
    (Closes: #902538)

  [ Helmut Grohne ]
  * [34d4878] Mark osinfo-db Multi-Arch: foreign (Closes: #893429)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 28 Jun 2018 09:07:49 +0200

=== debian/control ===
Source: osinfo-db
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper (>= 11),
 intltool,
 libxml2-utils,
 osinfo-db-tools,
Standards-Version: 4.2.1
Homepage: https://libosinfo.org/
Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/osinfo-db

Package: osinfo-db
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Operating system database files
 libosinfo is a GObject based library API for managing information about
 operating systems, hypervisors and the (virtual) hardware devices they
 can support. It provides APIs to match/identify optimal devices for deploying
 an operating system on a hypervisor.
 .
 This package contains the actual database files.

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,15 @@
 	dh_auto_clean
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make -C build check
+else
+	@echo "Checks disabled via DEB_BUILD_OPTIONS"
+endif
 
 override_dh_auto_install:
 	osinfo-db-import \
 	    --root debian/tmp/ \
 	    --dir /usr/share/osinfo \
 	    build/osinfo-db.tar.xz
+	rm debian/tmp/usr/share/osinfo/LICENSE

## osinfo-db 0.20181120

=== debian/changelog ===
osinfo-db (0.20181120-1+deb10u1) buster; urgency=medium

  * debian/patches/debian9-update.patch: Fix the URL's to download the iso
    files and point to the latest point release (9.9.0)
  * debian/patches/debian10-Add-info.patch: Add information about the debian
    buster/10 release (Closes: #935551)
  * d/p/debian-preseed-Fix-typo-in-config-s-name.patch: Fix the name of the
    parameter used to set the fullname when generating a preseed file, the
    documentation explicitly talks about "user-realname" but the profile was
    using "user-fullname" (the debconf parameter name) by mistake

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Aug 2019 10:06:02 +0200

osinfo-db (0.20181120-1) unstable; urgency=medium

  * [aa777b6] New upstream version 0.20181120
    (Closes: #913908)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 20 Nov 2018 22:41:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: osinfo-db
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  debhelper (>= 11),
  intltool,

## osinfo-db 0.20190304

=== debian/changelog ===
osinfo-db (0.20190304-0ubuntu1) disco; urgency=medium

  * New upstream release (LP: #1820986)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Mar 2019 10:02:38 +0100

## osinfo-db 0.20190728

=== debian/changelog ===
osinfo-db (0.20190728-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sun, 28 Jul 2019 12:27:27 +0200

osinfo-db (0.20190728-1) experimental; urgency=medium

  * [618ff6e] New upstream version 0.20190728
    (Closes: #919486)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 28 Jul 2019 10:29:01 +0200

osinfo-db (0.20190411-1) experimental; urgency=medium

  * [db0775b] New upstream version 0.20190411
    (Closes: #919492)
  * [4d8dc9f] d/gbp.conf: Switch to experimental
  * [5e316c2] d/control: Update build deps for new tests
  * [7ff7a4f] d/rules: Simplify build
  * [9d71757] d/rules: Disable tests.
    Running them out of tree is currently broken.
  * [d835b01] Use minimal upstream signing key

 -- Guido Günther <agx@sigxcpu.org>  Thu, 11 Apr 2019 13:19:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
  intltool,
  libxml2-utils,
  osinfo-db-tools,
+ python3-lxml,
+ python3-pytest,
 Standards-Version: 4.2.1
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git

## osinfo-db 0.20200325

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 VPATH = .
 
 ifdef SOURCE_DATE_EPOCH
@@ -31,7 +30,7 @@
 
 ZANATA = zanata
 
-XMLLINT = xmllint
+PYTHON = python3
 
 V = 0
 
@@ -51,6 +50,7 @@
 INTLTOOL_MERGE_OPTS_0 = -q
 INTLTOOL_MERGE_OPTS_1 =
 
+ABS_TOPDIR = $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
 
 all: $(ARCHIVE) osinfo-db.spec mingw-osinfo-db.spec
 
@@ -121,9 +121,4 @@
         done
 
 check: $(DATA_FILES) $(SCHEMA_FILES)
-	for xml in `find data -name '*.xml' | sort`; do \
-	  if ! $(XMLLINT) --relaxng data/schema/osinfo.rng --noout $$xml; then \
-	    exit 1; \
-	  fi; \
-	done
-
+	INTERNAL_OSINFO_DB_DATA_DIR=data INTERNAL_OSINFO_DB_DATA_SRC_DIR=$(ABS_TOPDIR)data $(PYTHON) -m pytest $(ABS_TOPDIR)tests

=== debian/changelog ===
osinfo-db (0.20200325-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Sep 2020 14:49:55 -0700

osinfo-db (0.20200325-1) unstable; urgency=medium

  [ Guido Günther ]
  * [5716df8] Add salsa-ci
  * [7c986e9] New upstream version 0.20200325
    (Closes: #941764)

  [ Debian Janitor ]
  * [86dd802] Bump debhelper from old 11 to 12.
    Fixes lintian: package-uses-old-debhelper-compat-version
  * [0d047da] Set debhelper-compat version in Build-Depends.
    Fixes lintian: uses-debhelper-compat-file
  * [e70bd99] Re-export upstream signing key without extra signatures.
    Fixes lintian: public-upstream-key-not-minimal
  * [b926a0c] Set upstream metadata fields: Repository, Repository-Browse.
    Fixes lintian: upstream-metadata-file-is-missing

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 Apr 2020 12:13:33 +0200

=== debian/control ===
Source: osinfo-db
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper-compat (= 12),
               intltool,
               libxml2-utils,
               osinfo-db-tools,
               python3-lxml,
               python3-pytest
Standards-Version: 4.2.1
Homepage: https://libosinfo.org/
Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/osinfo-db

Package: osinfo-db
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Operating system database files
 libosinfo is a GObject based library API for managing information about
 operating systems, hypervisors and the (virtual) hardware devices they
 can support. It provides APIs to match/identify optimal devices for deploying
 an operating system on a hypervisor.
 .
 This package contains the actual database files.

=== debian/tests/control ===
Test-Command: cd debian/tests && nosetests3 -vv
Depends: gir1.2-libosinfo-1.0 (>= 1.0.0), python3, python3-gi, python3-nose, @
Restrictions: allow-stderr

Tests: test-installscript
Depends: libosinfo-bin, @

## osinfo-db 0.20200325-1+10.0trisquel0

=== debian/changelog ===
osinfo-db (0.20200325-1+10.0trisquel0) nabia; urgency=medium

  * Apply patches fow new fully free distros availbale at libosinfo (Jan-
    2022).

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 29 Jan 2022 13:19:28 +0000

## osinfo-db 0.20210215

=== debian/changelog ===
osinfo-db (0.20210215-1) unstable; urgency=medium

  * [202fb83] New upstream version 0.20210215

 -- Pino Toscano <pino@debian.org>  Thu, 25 Feb 2021 08:19:42 +0100

osinfo-db (0.20210202-1) unstable; urgency=medium

  * [46fbc46] New upstream version 0.20210202

 -- Pino Toscano <pino@debian.org>  Tue, 09 Feb 2021 18:20:34 +0100

osinfo-db (0.20201218-1) unstable; urgency=medium

  * [77fc8b4] New upstream version 0.20201218

 -- Pino Toscano <pino@debian.org>  Sun, 20 Dec 2020 15:02:15 +0100

osinfo-db (0.20201119-1) unstable; urgency=medium

  * [652acbd] New upstream version 0.20201119
  * [19dd9a3] Bump Standards-Version to 4.5.1, no changes required
  * [62ea5de] d/watch: switch to v4, drop "0." from Debian version
  * [8fda846] Disable signature verification, as we do not use upstream tarballs
  * [7d9bea6] d/upstream/metadata: fill/improve a bit

 -- Pino Toscano <pino@debian.org>  Mon, 23 Nov 2020 10:27:16 +0100

osinfo-db (0.20201015-1) unstable; urgency=medium

  * [a0511a7] Group common make args in variable
  * [65b8290] Use parallel jobs if requested
  * [5c1c05c] Add the locales-all build dependency.
    It will be needed to have the en_US.UTF-8 locale.
  * [03a7a99] Annotate the test build dependencies as !nocheck
  * [31e8430] Remove the unused libxml2-utils build dependency
  * [27c5532] Run the upstream test suite at build time.
    VPATH test suite runs were fixed many months ago.
  * [ec13454] test-installscript autopkgtest: test also Debian 10 and testing
  * [38d5128] Add a new testsuite autopkgtest.
    It runs the upstream test suite on the installed osinfo-db.
  * [bf29391] Add helper script to create upstream tarballs
  * [fe94f88] New upstream version 0.20201015
  * [9bab297] Import directly to debian/osinfo-db
  * [e1bbdf0] Bump Standards-Version to 4.5.0; no changes required
  * [230a8ad] Add Rules-Requires-Root: no
  * [da8f80e] Bump the debhelper compatibility to 13
    - switch the debhelper-compat build dependency to 13
  * [d74a41e] Update the build dependencies according to the new upstream
    version:
    - add gettext, explicitly used
    - drop intltool, no more used
  * [2888f9c] Remove unused debian/osinfo-db-docs.docs
  * [fadf349] Do not use the non-existing ${shlibs:Depends} substvar
  * [17ebf70] d/rules: do not print a message for DEB_BUILD_OPTIONS=nocheck
  * [7ddfffd] Add myself to Uploaders

 -- Pino Toscano <pino@debian.org>  Thu, 22 Oct 2020 23:07:35 +0200

=== debian/control ===
Source: osinfo-db
Section: libs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 locales-all <!nocheck>,
 osinfo-db-tools,
 python3-lxml <!nocheck>,
 python3-pytest <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://libosinfo.org/
Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/osinfo-db
Rules-Requires-Root: no

Package: osinfo-db
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Operating system database files
 libosinfo is a GObject based library API for managing information about
 operating systems, hypervisors and the (virtual) hardware devices they
 can support. It provides APIs to match/identify optimal devices for deploying
 an operating system on a hypervisor.
 .
 This package contains the actual database files.

=== debian/tests/control ===
Test-Command: cd debian/tests && nosetests3 -vv
Depends: @, gir1.2-libosinfo-1.0 (>= 1.0.0), python3, python3-nose, python3-gi
Restrictions: allow-stderr

Tests: test-installscript
Depends: @, libosinfo-bin

Tests: testsuite
Depends: @, locales-all, python3-lxml, python3-pytest

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.asc/, pgpmode=none, dversionmangle=s/^0\.//" \
  https://releases.pagure.org/libosinfo/osinfo-db-(\d.*).tar.xz

## osinfo-db 0.20210903

=== debian/changelog ===
osinfo-db (0.20210903-1) unstable; urgency=medium

  * New upstream version 0.20210903
    - adds Debian Bullseye (Closes: #980744)
  * Bump Standards-Version to 4.6.0, no changes required
  * test-installscript autopkgtest: test also Debian 11
  * Drop git commit names from changelog

 -- Pino Toscano <pino@debian.org>  Sat, 04 Sep 2021 06:20:35 +0200

osinfo-db (0.20210809-1) unstable; urgency=medium

  * [0de4084] New upstream version 0.20210809

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 11:00:36 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  osinfo-db-tools,
  python3-lxml <!nocheck>,
  python3-pytest <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/osinfo-db

## osinfo-db 0.20220214

=== Makefile ===
VPATH = .

ifdef SOURCE_DATE_EPOCH
    TODAY = $(shell date --utc --date="@$(SOURCE_DATE_EPOCH)" +"%Y%m%d")
else
    TODAY = $(shell date +"%Y%m%d")
endif

OSINFO_DB_EXPORT = osinfo-db-export
OSINFO_DB_IMPORT = osinfo-db-import

DESTDIR = /
OSINFO_DB_TARGET = --user

XGETTEXT = xgettext
MSGMERGE = msgmerge
MSGFMT = msgfmt

GETTEXT_PACKAGE = osinfo-db

SED = sed

DATA_FILES_IN = $(wildcard $(VPATH)/data/*/*/*.xml.in) $(wildcard $(VPATH)/data/*/*/*/*.xml.in)
DATA_FILES = $(DATA_FILES_IN:$(VPATH)/%.in=%)

SCHEMA_FILES_IN = data/schema/osinfo.rng.in
SCHEMA_FILES = data/schema/osinfo.rng

SPEC_FILES_IN = osinfo-db.spec.in mingw-osinfo-db.spec.in
SPEC_FILES = $(SPEC_FILES_IN:%.in=%)

PO_FILES = $(wildcard $(VPATH)/po/*.po)
ITS_RULES = $(VPATH)/po/gettext/its/osinfo-db.its

ARCHIVE = osinfo-db-$(TODAY).tar.xz

PYTHON = python3

V = 0

V_I18N = $(V_I18N_$(V))
V_I18N_0 = @echo "  I18N     " $@;
V_I18N_1 =

V_GEN = $(V_GEN_$(V))
V_GEN_0 = @echo "  GEN      " $@;
V_GEN_1 =

V_EXP = $(V_EXP_$(V))
V_EXP_0 = @echo "  EXP      " $@;
V_EXP_1 =

ABS_TOPDIR = $(dir $(abspath $(lastword $(MAKEFILE_LIST))))

all: $(ARCHIVE) $(SPEC_FILES)

install: $(ARCHIVE)
	$(OSINFO_DB_IMPORT) --root $(DESTDIR) $(OSINFO_DB_TARGET) $(ARCHIVE)

%.spec: %.spec.in Makefile
	$(V_GEN) $(SED) -e "s/@VERSION@/$(TODAY)/" < $< > $@

rpm: osinfo-db.spec $(ARCHIVE)
	rpmbuild --define "_sourcedir `pwd`" -ba osinfo-db.spec

mingwrpm:  mingw-osinfo-db.spec $(ARCHIVE)
	rpmbuild --define "_sourcedir `pwd`" -ba mingw-osinfo-db.spec


%.xml: %.xml.in Makefile $(PO_FILES)
	@mkdir -p `dirname $@`
	$(V_I18N) env XDG_DATA_DIRS=$(VPATH)/po $(MSGFMT) --xml --template $< -d $(VPATH)/po -o $@

%.rng: %.rng.in Makefile
	@mkdir -p `dirname $@`
	$(V_GEN) $(SED) -e "s/@VERSION@/$(TODAY)/" < $< > $@

$(ARCHIVE): $(DATA_FILES) $(SCHEMA_FILES)
	$(V_EXP) $(OSINFO_DB_EXPORT) --license $(VPATH)/COPYING --version "$(TODAY)" --dir data $(ARCHIVE)

clean:
	rm -f osinfo-db-*.tar.xz
	rm -f $(DATA_FILES) $(SCHEMA_FILES) $(SPEC_FILES)

po/osinfo-db.pot: $(DATA_FILES_IN)
	$(V_GEN) $(XGETTEXT) --its $(ITS_RULES) -F -o $@ --package-name $(GETTEXT_PACKAGE) $(DATA_FILES_IN)

update-po:
	cd po && \
        for file in *.po; do \
	  lang=`basename $$file .po`; \
          echo "$$lang:"; \
          if ! $(MSGMERGE) --previous -o $$file $$file osinfo-db.pot; then \
            echo "msgmerge for $$file failed!"; \
          fi; \
        done

check: $(DATA_FILES) $(SCHEMA_FILES)
	INTERNAL_OSINFO_DB_DATA_DIR=data INTERNAL_OSINFO_DB_DATA_SRC_DIR=$(ABS_TOPDIR)data $(PYTHON) -m pytest $(ABS_TOPDIR)tests

=== debian/changelog ===
osinfo-db (0.20220214-1ubuntu2) jammy; urgency=medium

  * Add patch to disable experimental 3D Acceleration feature for Ubuntu guests
    (LP: #1969524)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 19 Apr 2022 17:47:41 -0400

osinfo-db (0.20220214-1ubuntu1) jammy; urgency=medium

  * Cherry-pick commits up to April 13 7ed9171e (LP: #1968915)
    - Add Ubuntu 22.04
    - Enable express install for Ubuntu 21.10 & 22.04 Desktop
    - Enable 3D Acceleration option for recent Debian & Ubuntu
    - List desktop amd64 first for recent releases so GNOME Boxes
      recommended downloads works as expected
  * Add patch to drop prerelease tag for Ubuntu 22.04

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Apr 2022 15:46:56 -0400

osinfo-db (0.20220214-1) unstable; urgency=medium

  * New upstream version 0.20220214

 -- Pino Toscano <pino@debian.org>  Mon, 14 Feb 2022 23:08:41 +0100

osinfo-db (0.20211216-1) unstable; urgency=medium

  * New upstream version 0.20211216

 -- Pino Toscano <pino@debian.org>  Sat, 18 Dec 2021 10:30:37 +0100

osinfo-db (0.20211013-1) unstable; urgency=medium

  * New upstream version 0.20211013

 -- Pino Toscano <pino@debian.org>  Wed, 13 Oct 2021 22:05:01 +0200

## osinfo-db 0.20220516

=== debian/changelog ===
osinfo-db (0.20220516-1) unstable; urgency=medium

  * New upstream version 0.20220516
  * Bump Standards-Version to 4.6.1, no changes required

 -- Pino Toscano <pino@debian.org>  Tue, 17 May 2022 07:25:12 +0200

## osinfo-db 0.20220727

=== debian/changelog ===
osinfo-db (0.20220727-1) unstable; urgency=medium

  * New upstream version 0.20220727

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2022 07:36:31 +0200

## osinfo-db 0.20220830

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 SCHEMA_FILES_IN = data/schema/osinfo.rng.in
 SCHEMA_FILES = data/schema/osinfo.rng
 
-SPEC_FILES_IN = osinfo-db.spec.in mingw-osinfo-db.spec.in
+SPEC_FILES_IN = osinfo-db.spec.in
 SPEC_FILES = $(SPEC_FILES_IN:%.in=%)
 
 PO_FILES = $(wildcard $(VPATH)/po/*.po)

=== debian/changelog ===
osinfo-db (0.20220830-1) unstable; urgency=medium

  * New upstream version 0.20220830
  * Run autopkgtest with pytest instead of nose (Closes: #1018431)
  * test_jessie autopkgtest: switch from unittest to pytest

 -- Pino Toscano <pino@debian.org>  Wed, 31 Aug 2022 06:57:41 +0200

## osinfo-db 0.20221130

=== Makefile ===
--- 
+++ 
@@ -63,9 +63,6 @@
 rpm: osinfo-db.spec $(ARCHIVE)
 	rpmbuild --define "_sourcedir `pwd`" -ba osinfo-db.spec
 
-mingwrpm:  mingw-osinfo-db.spec $(ARCHIVE)
-	rpmbuild --define "_sourcedir `pwd`" -ba mingw-osinfo-db.spec
-
 
 %.xml: %.xml.in Makefile $(PO_FILES)
 	@mkdir -p `dirname $@`

=== debian/changelog ===
osinfo-db (0.20221130-2) unstable; urgency=medium

  * Fix test_ids to work outside the source repository
  * testsuite autopkgtest: run test_ids again

 -- Pino Toscano <pino@debian.org>  Sat, 03 Dec 2022 08:17:18 +0100

osinfo-db (0.20221130-1) unstable; urgency=medium

  * New upstream version 0.20221130
  * testsuite autopkgtest: temporarily ignore test_ids for now

 -- Pino Toscano <pino@debian.org>  Wed, 30 Nov 2022 21:43:11 +0100

osinfo-db (0.20221018-1) unstable; urgency=medium

  * New upstream version 0.20221018

 -- Pino Toscano <pino@debian.org>  Wed, 19 Oct 2022 07:46:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  osinfo-db-tools,
  python3-lxml <!nocheck>,
  python3-pytest <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/osinfo-db

## osinfo-db 0.20221130-2+10.0trisquel4

=== debian/changelog ===
osinfo-db (0.20221130-2+10.0trisquel4) nabia; urgency=medium

  * Remove links to non-free distros suggestion from osinfo-db.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 02 Jun 2023 17:16:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: osinfo-db
 Section: libs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  gettext,
  locales-all <!nocheck>,
  osinfo-db-tools,

## osinfo-db 0.20221130-2+10.0trisquel5

=== debian/changelog ===
osinfo-db (0.20221130-2+10.0trisquel5) nabia; urgency=medium

  * Remove links to non-free distros suggestion from osinfo-db.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 03 Jun 2023 01:01:07 +0000

## osinfo-db 0.20221130-2+11.0trisquel5

=== debian/changelog ===
osinfo-db (0.20221130-2+11.0trisquel5) aramo; urgency=medium

  * Remove links to non-free distros suggestion from osinfo-db.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 03 Jun 2023 00:30:20 +0000

## osinfo-db 0.20221130-2+11.0trisquel6

=== debian/changelog ===
osinfo-db (0.20221130-2+11.0trisquel6) aramo; urgency=medium

  * Remove links to non-free distros suggestion from osinfo-db.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 04 Jun 2023 00:27:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gettext,
  locales-all <!nocheck>,
  osinfo-db-tools,

## osinfo-db 0.20230308

=== debian/changelog ===
osinfo-db (0.20230308-1) unstable; urgency=medium

  * New upstream version 0.20230308
  * Drop the patch, backported from upstream
  * Update standards version to 4.6.2, no changes needed.
  * test-installscript autopkgtest: test also Debian 12
  * Fix <short-id> of Debian Bookworm to be "debian12"

 -- Pino Toscano <pino@debian.org>  Thu, 09 Mar 2023 10:52:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: osinfo-db
 Section: libs
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,7 +10,7 @@
  osinfo-db-tools,
  python3-lxml <!nocheck>,
  python3-pytest <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/osinfo-db

## osinfo-db 0.20230518

=== debian/changelog ===
osinfo-db (0.20230518-1ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream version 0.20230518 (LP: #2020810)

 -- Jarred Wilson <jarred.wilson@canonical.com>  Wed, 24 May 2023 14:37:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: osinfo-db
 Section: libs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,7 +11,7 @@
  osinfo-db-tools,
  python3-lxml <!nocheck>,
  python3-pytest <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/osinfo-db

## osinfo-db 0.20230719

=== debian/changelog ===
osinfo-db (0.20230719-1ubuntu1) mantic; urgency=medium

  * Sync with Debian. Remaining change:
    - Add patch to drop the prerelease tag for Ubuntu 23.10
      so that it shows in GNOME Boxes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 08:16:44 -0400

osinfo-db (0.20230719-1) unstable; urgency=medium

  * New upstream version 0.20230719

 -- Pino Toscano <pino@debian.org>  Thu, 20 Jul 2023 08:39:11 +0200

osinfo-db (0.20230518-1ubuntu1) mantic; urgency=medium

  * Add patch to drop the prerelease tag for Ubuntu 23.10
    so that it shows in GNOME Boxes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 May 2023 08:26:11 -0400

osinfo-db (0.20230518-1) unstable; urgency=medium

  * New upstream version 0.20230518
  * Drop the patch, backported from upstream

 -- Pino Toscano <pino@debian.org>  Fri, 19 May 2023 08:34:18 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  osinfo-db-tools,
  python3-lxml <!nocheck>,
  python3-pytest <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/osinfo-db

## osinfo-db 0.20231027

=== debian/changelog ===
osinfo-db (0.20231027-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream release (LP: #2045703)
  * Add patch to update download links for Ubuntu 22.04 LTS
  * Add patch to update Ubuntu 23.10 data for the stable release
  * Add patch to recognize Ubuntu 23.10 as latest stable Ubuntu release
  * Add patch with initial Ubuntu 24.04 LTS data

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 18:28:35 -0500

## osinfo-db 0.20231215

=== debian/changelog ===
osinfo-db (0.20231215-1) unstable; urgency=medium

  * New upstream version 0.20231215

 -- Pino Toscano <pino@debian.org>  Fri, 15 Dec 2023 18:52:40 +0100

osinfo-db (0.20231027-1) unstable; urgency=medium

  * New upstream version 0.20231027
  * Update maintainership:
    - set Maintainer to Debian Libvirt Maintainers, like other libvirt packages
    - move Guido to Uploaders

 -- Pino Toscano <pino@debian.org>  Sat, 28 Oct 2023 21:18:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: osinfo-db
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
-Uploaders: Pino Toscano <pino@debian.org>,
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Uploaders: Guido Günther <agx@sigxcpu.org>,
+ Pino Toscano <pino@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  gettext,

## osinfo-db 0.20240523

=== debian/changelog ===
osinfo-db (0.20240523-1ubuntu1) oracular; urgency=medium

  * Sync with Debian. Remaining change:
    - Add patch to drop prerelease tag for Ubuntu 24.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 07:57:58 -0400

osinfo-db (0.20240523-1) unstable; urgency=medium

  * New upstream version 0.20240523

 -- Pino Toscano <pino@debian.org>  Thu, 23 May 2024 18:38:59 +0200

osinfo-db (0.20240510-1ubuntu2) oracular; urgency=medium

  * Cherry-pick another patch for Ubuntu 23.10 EOL

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 18:07:07 +0200

osinfo-db (0.20240510-1ubuntu1) oracular; urgency=medium

  * Sync with Debian (LP: #2065669)
  * Cherry-pick patches to update Ubuntu 24.04 LTS for stable release
    and Ubuntu 23.10 for EOL
  * Cherry-pick patch to add prerelease data for Ubuntu 24.10
  * Add patch to drop prerelease tag for Ubuntu 24.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 11:37:23 +0200

osinfo-db (0.20240510-1) unstable; urgency=medium

  * New upstream version 0.20240510
  * Bump Standards-Version to 4.7.0, no changes required

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 08:13:59 +0200

osinfo-db (0.20231215-1ubuntu2) noble; urgency=medium

  * Add patch to update Ubuntu 24.04 LTS ISO links for release (LP: #2062088)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Apr 2024 20:35:42 -0400

osinfo-db (0.20231215-1ubuntu1) noble; urgency=medium

  * Sync with Debian. Remaining changes:
    - salsa-ci: Suppress Lintian errors for Ubuntu maintainer
    - Add patch to drop prerelease tag for Ubuntu 24.04 LTS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Dec 2023 15:38:34 -0500

## osinfo-db 0.20240523-0ubuntu0.24.04.1trisquel8

=== debian/changelog ===
osinfo-db (0.20240523-0ubuntu0.24.04.1trisquel8) ecne; urgency=medium

  * Remove links to non-free distros from osinfo-db.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Oct 2024 23:16:59 +0000

osinfo-db (0.20240523-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release (LP: #2065669)
  * Drop all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Jun 2024 13:36:59 -0400

## osinfo-db 0.20240701

=== debian/changelog ===
osinfo-db (0.20240701-1ubuntu1) oracular; urgency=medium

  * Sync with Debian (LP: #2083553). Remaining change:
    - Add patch to update data for the Ubuntu 24.10 release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Oct 2024 16:57:45 -0400

osinfo-db (0.20240701-1) unstable; urgency=medium

  * New upstream version 0.20240701

 -- Pino Toscano <pino@debian.org>  Mon, 01 Jul 2024 20:16:57 +0200

## osinfo-db 0.20250124

=== debian/changelog ===
osinfo-db (0.20250124-1ubuntu2) plucky; urgency=medium

  * Cherry-pick patches to add data for riscv64 Debian & Ubuntu images
  * Cherry-pick a patch to add data for the Ubuntu Desktop 25.04 arm64 image
  * Update URLs for the Ubuntu 25.04 release (LP: #2107497)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Apr 2025 15:09:51 -0400

osinfo-db (0.20250124-1ubuntu1) plucky; urgency=medium

  * Sync with Debian (LP: #2097021)
  * Add patch to drop prerelease tag for Ubuntu 25.04

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 13:00:50 -0500

osinfo-db (0.20250124-1) unstable; urgency=medium

  * New upstream version 0.20250124. (Closes: #1094285)

 -- Pino Toscano <pino@debian.org>  Thu, 30 Jan 2025 07:35:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: osinfo-db
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>,
  Pino Toscano <pino@debian.org>,
 Build-Depends:
@@ -11,7 +12,7 @@
  osinfo-db-tools,
  python3-lxml <!nocheck>,
  python3-pytest <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/osinfo-db

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

COMMON_MAKE_ARGS = -f ../Makefile VPATH=..
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
COMMON_MAKE_ARGS += -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@

override_dh_auto_build:
	mkdir build
	make -C build $(COMMON_MAKE_ARGS) ARCHIVE=osinfo-db.tar.xz
	
override_dh_auto_clean:
	rm -rf build
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C build $(COMMON_MAKE_ARGS) check
endif

override_dh_auto_install:
	osinfo-db-import \
	    --root debian/osinfo-db/ \
	    --dir /usr/share/osinfo \
	    build/osinfo-db.tar.xz
	rm debian/osinfo-db/usr/share/osinfo/LICENSE

## osinfo-db 0.20250606

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,12 @@
 
 PYTHON = python3
 
+HAS_XDIST = $(shell pytest -V -V | grep xdist >/dev/null && echo 1)
+
+MAKE_JOBS = $(shell echo $$MAKEFLAGS |  sed -e 's/ /\n/g' | grep -- '^-j' | sed -e 's/-j//')
+
+PYTEST_FLAGS = $(if $(MAKE_JOBS),$(if $(HAS_XDIST),-n $(MAKE_JOBS),),)
+
 V = 0
 
 V_I18N = $(V_I18N_$(V))
@@ -63,6 +69,9 @@
 rpm: osinfo-db.spec $(ARCHIVE)
 	rpmbuild --define "_sourcedir `pwd`" -ba osinfo-db.spec
 
+data: $(DATA_FILES)
+
+schema: $(SCHEMA_FILES)
 
 %.xml: %.xml.in Makefile $(PO_FILES)
 	@mkdir -p `dirname $@`
@@ -72,7 +81,7 @@
 	@mkdir -p `dirname $@`
 	$(V_GEN) $(SED) -e "s/@VERSION@/$(TODAY)/" < $< > $@
 
-$(ARCHIVE): $(DATA_FILES) $(SCHEMA_FILES)
+$(ARCHIVE): data schema
 	$(V_EXP) $(OSINFO_DB_EXPORT) --license $(VPATH)/COPYING --version "$(TODAY)" --dir data $(ARCHIVE)
 
 clean:
@@ -93,4 +102,4 @@
         done
 
 check: $(DATA_FILES) $(SCHEMA_FILES)
-	INTERNAL_OSINFO_DB_DATA_DIR=data INTERNAL_OSINFO_DB_DATA_SRC_DIR=$(ABS_TOPDIR)data $(PYTHON) -m pytest $(ABS_TOPDIR)tests
+	INTERNAL_OSINFO_DB_DATA_DIR=data INTERNAL_OSINFO_DB_DATA_SRC_DIR=$(ABS_TOPDIR)data $(PYTHON) -m pytest $(PYTEST_FLAGS) $(ABS_TOPDIR)tests

=== debian/changelog ===
osinfo-db (0.20250606-1ubuntu2) questing; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * ubuntu: update a bunch of old releases that have been archived

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Sat, 12 Jul 2025 18:09:18 +0530

osinfo-db (0.20250606-1ubuntu1) questing; urgency=medium

  * Sync with Debian (LP: #2114980)
  * Add patch to drop prerelease tag for Ubuntu 25.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Jun 2025 08:00:23 -0400

osinfo-db (0.20250606-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream version 0.20250606 (Closes: #1107383)
    - adds Debian live images (Closes: #1094350)
    - adds Debian and Ubuntu riscv64 images (Closes: #1101048)

  [ Jeremy Bícha ]
  * debian/gbp.conf: opt into pristine-tar

 -- Pino Toscano <pino@debian.org>  Thu, 19 Jun 2025 08:00:36 +0200

=== debian/tests/control ===
Test-Command: cd debian/tests && pytest -v
Depends: @, gir1.2-libosinfo-1.0 (>= 1.0.0), python3, python3-pytest, python3-gi
Restrictions: allow-stderr

Tests: test-installscript
Depends: @, libosinfo-bin

Tests: testsuite
Depends: @, locales-all, python3-lxml, python3-pytest

## osinfo-db 0.20250606-0ubuntu0.24.04.1trisquel9

=== debian/changelog ===
osinfo-db (0.20250606-0ubuntu0.24.04.1trisquel9) ecne; urgency=medium

  * Remove links to non-free distros from osinfo-db.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Jul 2025 15:49:59 +0000

osinfo-db (0.20250606-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release (LP: #2114980)
    - Add Ubuntu 25.04 including Ubuntu Desktop arm64 and Ubuntu Server riscv64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Jun 2025 07:51:44 -0400

osinfo-db (0.20250124-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release (LP: #2097021)
    - Enable 3D Virtualization option for Ubuntu 22.10 and later
    - Ubuntu 24.04 LTS (and similar) is now labeled as
      Ubuntu Desktop 24.04 LTS or Ubuntu Server 24.04 LTS based on
      the ISO used to install the guest
    - Edubuntu ISOs starting with 24.04 LTS are now recognized
  * Update Salsa CI configuration

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 14:38:05 -0500

## osinfo-db 0.20250606-0ubuntu0.24.04.1+11.0trisquel9

=== debian/changelog ===
osinfo-db (0.20250606-0ubuntu0.24.04.1+11.0trisquel9) aramo; urgency=medium

  * Remove links to non-free distros from osinfo-db.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Jul 2025 15:49:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: osinfo-db
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>,
  Pino Toscano <pino@debian.org>,
@@ -12,7 +12,7 @@
  osinfo-db-tools,
  python3-lxml <!nocheck>,
  python3-pytest <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Homepage: https://libosinfo.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/osinfo-db.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/osinfo-db
